package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

public class BasicUserDto {

    private Integer organId;

    private Integer userId;

    private String name;

    private String subjectName;

    private String headUrl;

    private Integer gender;

    private String musicGroupId;

    private String musicGroupName;

    private String userType;

    private Integer subjectId;

    private String phone;

    @ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
    private Integer carePackage;

    @ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
    private Integer comeOnPackage;

    private Integer memberRankSettingId;

    private String subjectIdList;

    private Integer tenantId;

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getMemberRankSettingId() {
        return memberRankSettingId;
    }

    public void setMemberRankSettingId(Integer memberRankSettingId) {
        this.memberRankSettingId = memberRankSettingId;
    }

    public String getSubjectIdList() {
        return subjectIdList;
    }

    public void setSubjectIdList(String subjectIdList) {
        this.subjectIdList = subjectIdList;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getCarePackage() {
        return carePackage;
    }

    public void setCarePackage(Integer carePackage) {
        this.carePackage = carePackage;
    }

    public Integer getComeOnPackage() {
        return comeOnPackage;
    }

    public void setComeOnPackage(Integer comeOnPackage) {
        this.comeOnPackage = comeOnPackage;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHeadUrl() {
        return headUrl;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BasicUserDto that = (BasicUserDto) o;
        return userId.equals(that.userId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(userId);
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
